﻿//申明一个蒙层的代码
function shieldDiv() {
    var me = this;
    var shield;
    var c = 0; //渐变的透明度
    var ad; //渐变的临时变量
    if (document.getElementById("shield")) {
        shield = document.getElementById("shield");
        shield.style.display = "block";
        shield.style.filter = "alpha(opacity=0)";
        shield.style.opacity = 0;
    } else {

        shield = document.createElement("div");
        shield.id = "shield";
        shield.style.position = "absolute";
        shield.style.display = "block";
        shield.style.left = "0px";
        shield.style.top = "0px";
        shield.style.width = "100%";
        shield.style.height = ((document.documentElement.clientHeight > document.documentElement.scrollHeight) ? document.documentElement.clientHeight : document.documentElement.scrollHeight) + "px";
        shield.style.background = "#666";
        shield.style.textAlign = "center";
        shield.style.zIndex = "1000";
        shield.style.filter = "alpha(opacity=0)";
        shield.style.opacity = 0;

        document.body.appendChild(shield);
    }
    me.setOpacity = function (obj, opacity) {
        if (document.all)
            obj.style.filter = "alpha(opacity=\"" + opacity + "\")";
        else
            obj.style.opacity = opacity / 100;
    }
    me.doAlpha = function () {
        c += 2;
        if (c > 40) { clearInterval(ad); return 0; }
        me.setOpacity(shield, c);
    }
    me.show = function () {
        ad = setInterval(me.doAlpha, 1);
    }

    me.hide = function () {
        if (document.getElementById("shield"))
            document.getElementById("shield").style.display = "none";
    }
}
//打开成绩统计蒙层
function showStaticresult() {

    new shieldDiv().show(); //调用我的蒙层的show方法
    document.getElementById("static").style.display = "";

}
//关闭成绩统计蒙层
function CloseStaticresult() {
    new shieldDiv().hide(); //调用我的蒙层的hide方法
    document.getElementById("static").style.display = "none";
}
//概况统计(已做：灰色，未做：红色，已标记：黄色)
function sumstatic() {
    $("#selectable").empty();
    $(".nodeItem").each(function () {
        var h2 = $(this).find("h2").html();
        $("#selectable").append("<span style='clear:both; font-size: 15px; line-height: 25px; margin-left: 10px; font-weight: bold; display: block; '>" + h2 + "</span>");
        var ul = $("<ul style=' margin-left: 5px; '></ul>");
        $(this).find(".Item").each(function (e) {
            var anchor = $(this).find("a:first").attr("name");
            var li = $("<li class='ui-state-default'><a onclick='return single(this)' href=\"#" + anchor + "\">" + (e + 1) + "</a></li>");
            //标记
            if ($(this).attr("class") == "mark Item") {
                // li.css({ background: "#ff6600", color: "#ffffff" });
                //                li.css("border", " 1px solid rgb(255, 102, 0)");
                //                var o = $(this).find("input:checked");
                //                if (o = undefined || o.length == 0) {
                //                    li.css({ background: "#DCF2ED", color: "#000000" });
                //                }
                li.css("border", " 1px solid rgb(255, 102, 0)");

                var o = $(this).find("input:checked");
                if (o == undefined || o.length == 0) {//标记未做
                    li.css({ background: "#DCF2ED", color: "#000000" });
                    li.find("a").css("color", "#000000");
                }
                else {//标记已做
                    li.find("a").css("color", "#ffffff");
                    li.css("background-color", "#007371");
                }

            }
            else {//未做
                var o = $(this).find("input:checked");
                if (o == undefined || o.length == 0) {
                    li.css({ background: "#DCF2ED", color: "#000000" });
                    li.find("a").css("color", "#000000");

                }
                else {//已做
                    li.find("a").css("color", "#ffffff");
                    li.css("background-color", "#007371");
                }
            }
            ul.append(li);
        });
        $("#selectable").append(ul);
        $("#selectable").append("<br />");
    });
}
//概况
function Survey(item) {
    window.location.href = "#" + item;
}
//打开答题概况
function Showansersum() {
    $("#ansersum").toggle();
    sumstatic();
    //new shieldDiv().show(); //调用我的蒙层的show方法
    // document.getElementById("ansersum").style.display = "";
}
//关闭答题概况
function Closeansersum() {
    new shieldDiv().hide(); //调用我的蒙层的hide方法
    document.getElementById("ansersum").style.display = "none";

}

//时间设置
function SetTimes() {

    var date = $(".time_content_right input[name='EndDate']").attr("realvalue");
    new shieldDiv().show(); //调用我的蒙层的show方法
    document.getElementById("timeset").style.display = "";
    //    var left = Math.floor((new Date(date) - new Date()) / (1000 * 60 * 60 * 24)) + 1;
    //    $("#leaveday").html(left);
}
function CloseTimes() {

    new shieldDiv().hide(); //调用我的蒙层的hide方法
    document.getElementById("timeset").style.display = "none";
}
//搜索试题
function SearQuestion() {
    new shieldDiv().show(); //调用我的蒙层的show方法
    $("#search").css("display", "block");
}
function SearchResult() {
    var keyword = $("input[name='Keyword']").val();
    if ($.trim(keyword.length) > 0) {
        if (keyword.indexOf("%") > -1) {
            alert("搜索内容不能包含%符号");
        }
        else {
            new shieldDiv().hide();
            $("#search").css("display", "none");
            location.href = "a?type=ssst&keyword=" + keyword;
        }
    }
    else {
        alert("搜索内容不能为空");
    }

}
function CloseSearch() {
    new shieldDiv().hide(); //调用我的蒙层的hide方法
    document.getElementById("search").style.display = "none";
}
//卷面设置
function SetMain() {

    $("#Settings").css("display", "block");
    DragPubic(document.getElementById("ColerExam")); //页面设置
    $("#ColerExam").css("cursor", "move");
}
function CloseSetMain() {

    document.getElementById("Settings").style.display = "none";
    $("#FontColorSer").hide();
    $("#BackgColorSer").hide();
}
function CloseColorPicker() {
    document.getElementById("jqxwindoww").style.display = "none";
    document.getElementById("jqxwindow").style.display = "none";

}
//放大
function enlarge() {
    var size = $(".config").css("font-size");
    if ($(".config").css("font-size") != "20px") {
        $(".config").css("font-size", Number(size.substr(0, size.length - 2)) + 2);
    }
}
//缩小
function ensmall() {
    var size = $(".config").css("font-size");
    if (Number(size.substr(0, size.length - 2)) > 12) {
        $(".config").css("font-size", Number(size.substr(0, size.length - 2)) - 2);
    }
}

function OpenFilterQuestion() {
    if (overflag) {
        $("#filtertype").toggle();
    }
    else {
        alert("仅在结束练习后有效！");
    }
}
function CloseFilterQuestion() {//消除试题过虑

    $("#filtertype").hide();

}
//计算器
function counters() {
    $("#calc").toggle();
    //showTipsTOID("科学计算器", "calc", 560, "");
    drag(document.getElementById("ClacTitle"));       //计算
    $("#ClacTitle").css("cursor", "move");
}
function Showclosed() {
    $("#calc,#search,#Settings,#jqxwindow,#staticresult").hide();
}
//试题反馈
function FeedBack(t) {

    $("#QuestionID").val($(t).parents(".Item").find(".question").attr("id"));
    $(".fan_righthao").html($(t).parents(".Item").find(".question").attr("number"));
    $("#questionNumber").val($(t).parents(".Item").find(".question").attr("number"));
    //调用蒙层
    var range = getRange();
    $("#doing").css({ width: range.width, height: range.height, display: "block" });
    document.getElementById("feedback").style.display = "";

}
function SaveFeedBack(t) {
    var content = $("#feedback textarea").val();

    var itemFID = $("#txtContentDidFb").val();
    if ($.trim(content).length <= 0 || content == itemFID) {
        alert("反馈内容不能为空！");
        return false;
    }
    $("#doing").css("display", "none");
    $("#feedback").css("display", "none");
    $("#txtContent").val(content); //C++取内容准备
    $(t).attr("href", "a?type=FeedBack&QuestionID=" + $("#QuestionID").val() + "&content=" + content + "&paperID=" + $("#paperID").val() + "");
    $("#feedback textarea").val($("#txtContentDidFb").val());
    $("#txtContentTxt").css("color", "#DBDBDB"); //灰
}
//标记
function MarkQuestion(t) {


    if ($(t).val() == "标记") {
        $(t).parent().parent().parent().attr("class", "mark Item");
        $(t).val("取消标记");
    }
    else {
        $(t).parent().parent().parent().attr("class", "Item");
        $(t).val("标记");
    }

}
function getRange()                      //得到屏幕的大小
{
    var height = ((document.documentElement.clientHeight > document.documentElement.scrollHeight) ? document.documentElement.clientHeight : document.documentElement.scrollHeight) + "px";
    var width = document.body.clientWidth;

    if (height == 0 && width == 0) {
        height = ((document.documentElement.clientHeight > document.documentElement.scrollHeight) ? document.documentElement.clientHeight : document.documentElement.scrollHeight) + "px";
        width = document.documentElement.clientWidth;
    }
    return { height: height, width: width };
}
//---------显示&隐藏答案----------------

function showAns(t) {

    var parent = $(t);
    if ($(t).val() == "查看答案") {

        if (parent.parent().siblings(".answer").length > 0) {
            allow = $.trim($(t).parent().siblings(".answer").find(".DisplaySatatus").html());
        }
        //组合体
        if (parent.parent().siblings(".subanswer").length > 0) {
            allow = $.trim($(t).parent().siblings(".subanswer").find(".DisplaySatatus").html());
        }
        if (allow == "ok") {
            if (parent.parent().siblings(".answer").length > 0) {
                $(t).parent().siblings(".answer").show();
                $(t).parent().siblings(".answer").find(".HiddenStart").show();
                $(t).parent().siblings(".answer").find(".ShowStart").css("display", "none");
            }
            if (parent.parent().siblings(".subanswer").length > 0) {
                $(t).parent().siblings(".subanswer").show();
                $(t).parent().siblings(".subanswer").find(".HiddenStart").show();
                $(t).parent().siblings(".subanswer").find(".ShowStart").css("display", "none");
            }

            parent.val("隐藏答案");


        } else {
            if (parent.parent().siblings(".answer").length > 0) {
                $(t).parent().siblings(".answer").show();
                $(t).parent().siblings(".answer").find(".HiddenStart").hide();
                $(t).parent().siblings(".answer").find(".ShowStart").css("display", "block");
            }
            if (parent.parent().siblings(".subanswer").length > 0) {
                $(t).parent().siblings(".subanswer").show();
                $(t).parent().siblings(".subanswer").find(".HiddenStart").hide();
                $(t).parent().siblings(".subanswer").find(".ShowStart").css("display", "block");
            }
            parent.val("隐藏答案");
            //$(this).html("隐藏答案");
        }


    }
    else {
        if (parent.parent().siblings(".answer").length > 0) {
            $(t).parent().siblings(".answer").hide();
            $(t).parent().siblings(".answer").find(".HiddenStart").hide();
            $(t).parent().siblings(".answer").find(".ShowStart").css("display", "none");
        }
        if (parent.parent().siblings(".subanswer").length > 0) {
            $(t).parent().siblings(".subanswer").hide();
            $(t).parent().siblings(".subanswer").find(".HiddenStart").hide();
            $(t).parent().siblings(".subanswer").find(".ShowStart").css("display", "none");
        }
        $(t).val("查看答案");
    }
}

function showTips(title, iframe, width, height) {
    //tipsWindown(title, "iframe:" + iframe, width, height, "true", "", "true", "")
    tipsWindown(title, "text:" + iframe, width, height, "true", "", "0", "");
}

function PlaySHow() {
    $("#windown-title").show();
}
function PlayHide() {
    // setTimeout(function () {
    //}, 2000);
    $("#windown-title").hide();
}


//查看视频
function Showvideo(t) {
    var videoshow = $(t).parent().siblings(".videoshow");
    var player = videoshow.find("a");
    var match = player.attr("href"); //视频路径

    if (match != null && match.length > 0) {
        if (player.html() == "ok") {
            var item = "";
            var URl = match;

            var Ict = "<div id='StrobeMediaPlayback' style=\" background: url('http://usertk.100xuexi.com/Content/ImagesX/VoidFlash.gif') center center no-repeat;\">";
            Ict += "<script language='javascript' type='text/javascript'>";
            Ict += "document.getElementById('StrobeMediaPlayback').innerHTML = AC_FL_RunContent(";
            Ict += "'src', '../NEWHtml/videoplayer/VideoPlayer',";
            Ict += "'width', '560',";
            Ict += "'height', '350',";
            Ict += "'id', 'videoPlayer',";
            Ict += "'quality', 'high',";
            //Ict += "'bgcolor', '#000000',";
            Ict += "'name', 'videoPlayer',";
            Ict += "'allowfullscreen', 'true',";
            Ict += "'type', 'application/x-shockwave-flash',";
            Ict += "'wmode', 'transparent',";
            Ict += "'pluginspage', 'http://www.adobe.com/go/getflashplayer');";

            Ict += "function setVideoSource(source) {";
            Ict += "videoPlayer.setVideoSource(source);";
            Ict += "}";
            Ict += "function setVideoSize(width, height) {";
            Ict += "videoPlayer.setVideoSize(width, height);";
            Ict += "}";
            Ict += "function SCJYPlayerInitCompleteHandler() {";
            Ict += "var source = '" + URl + "';";
            Ict += "videoPlayer.setVideoSource(source);";
            Ict += "var width = 560;";
            Ict += "var height = 350;";
            Ict += "setVideoSize(width, height);";
            Ict += "}";

            Ict += "</script>";
            Ict += "<noscript>";
            Ict += "<a href='http://www.adobe.com/go/getflashplayer/' style='color: #000000;'>";
            Ict += "<img src='http://g.100xuexi.com/CssModel/XXMain/images/error_getFlashPlayer.gif' width='560' height='350' />";
            Ict += "</a>";
            Ict += "</noscript>";
            Ict += "</div>";

            var VideoTitle = $(".VideoTitle").val();

            VideoTitle = VideoTitle == "" ? "移动请点击此处……" : VideoTitle == undefined ? "移动请点击此处……" : VideoTitle;
            showTips(VideoTitle, Ict, 560, 350);


        }
        else {
            $("#buy").show();

        }


    }
}
//计算题查看视频讲解
function ComputerShowVideo(videourl, flag,videotitle) {
    //有权限查看视频讲解
    if (flag == 1) {
        var Ict = "<div id='StrobeMediaPlayback' style=\" background: url('http://usertk.100xuexi.com/Content/ImagesX/VoidFlash.gif') center center no-repeat;\">";
        Ict += "<script language='javascript' type='text/javascript'>";
        Ict += "document.getElementById('StrobeMediaPlayback').innerHTML = AC_FL_RunContent(";
        Ict += "'src', '../NEWHtml/videoplayer/VideoPlayer',";
        Ict += "'width', '560',";
        Ict += "'height', '350',";
        Ict += "'id', 'videoPlayer',";
        Ict += "'quality', 'high',";
        //Ict += "'bgcolor', '#000000',";
        Ict += "'name', 'videoPlayer',";
        Ict += "'allowfullscreen', 'true',";
        Ict += "'type', 'application/x-shockwave-flash',";
        Ict += "'wmode', 'transparent',";
        Ict += "'pluginspage', 'http://www.adobe.com/go/getflashplayer');";

        Ict += "function setVideoSource(source) {";
        Ict += "videoPlayer.setVideoSource(source);";
        Ict += "}";
        Ict += "function setVideoSize(width, height) {";
        Ict += "videoPlayer.setVideoSize(width, height);";
        Ict += "}";
        Ict += "function SCJYPlayerInitCompleteHandler() {";
        Ict += "var source = '" + videourl + "';";
        Ict += "videoPlayer.setVideoSource(source);";
        Ict += "var width = 560;";
        Ict += "var height = 350;";
        Ict += "setVideoSize(width, height);";
        Ict += "}";

        Ict += "</script>";
        Ict += "<noscript>";
        Ict += "<a href='http://www.adobe.com/go/getflashplayer/' style='color: #000000;'>";
        Ict += "<img src='http://g.100xuexi.com/CssModel/XXMain/images/error_getFlashPlayer.gif' width='560' height='350' />";
        Ict += "</a>";
        Ict += "</noscript>";
        Ict += "</div>";

        showTips(videotitle, Ict, 560, 350);
    }
    else {
        $("#buy").show();
    }

}
//当当购买
function DangDangActivate() {
    var Item = $("#AgentName").val();
    var IsBuy = $("#IsBuy").val();

    if (IsBuy == "0" && Item == "dangdang")
        $("#DangDangActivate").show();
}
//当当连接
function DangDangChick(t) {
    var name = $("#YName").val();
    var pwd = $("#YPWD").val();
    if (name != "" && pwd != "") {
        $(t).attr("href", "a?type=DangDangAlive&name=" + name + "&pwd=" + pwd);
        return true;
    }
    else {
        alert("请填写用户名与密码");
        return false;
    }
}

//当当取消
function DangDangCLose() {
    $("#DangDangActivate").hide();
}

//显示全部答案
function showall(t) {

    if ($(t).val() == "查看全部答案") {
        $(t).val("隐藏全部答案");
        $(".showAns").each(function () {
            $(this).val("隐藏答案");
        });
        //显示不是组合体全部答案
        $(".answer").each(function () {

            var childer = $(this);
            //组合题显示答案
            if (childer.children().find(".subanswer").length > 0) {

                //组合题显示答案
                childer.children().find(".subanswer").each(function () {

                    var suballow = $.trim($(this).children().find(".DisplaySatatus").html());

                    if (suballow == "ok") {
                        $(this).show();
                        $(this).find(".HiddenStart").show();
                        $(this).find(".ShowStart").css("display", "none");

                    }
                    else {
                        $(this).show();
                        $(this).find(".HiddenStart").hide();
                        $(this).find(".ShowStart").css("display", "block");
                    }



                });
            }
            else {
                var suballow = $.trim($(this).children().find(".DisplaySatatus").html());

                if (suballow == "ok") {
                    $(this).show();
                    $(this).find(".HiddenStart").show();
                    $(this).find(".ShowStart").css("display", "none");
                }
                else {
                    $(this).show();
                    $(this).find(".HiddenStart").hide();
                    $(this).find(".ShowStart").css("display", "block");
                }

            }
        });
    }
    else {
        $(".showAns").each(function () {
            $(this).val("查看答案");
        });
        $(".answer").each(function () {

            if ($(this).children().find(".subanswer").length > 0) {

            }
            else
                $(this).hide();


        });
        //组合题隐藏答案
        $(".subanswer").each(function () {
            $(this).hide();

        });
        $(t).val("查看全部答案");
    }

}
//一题一题展示切换

function OneShow(t) {
    if ($(t).val() == "一题一题展示") {
        $(t).val("整份试卷展示");
        $(".Item").each(function () {
            if ($(this).parent().attr("class") == "nodeItem") {
                var item = $(this).find('input:checked');
                if (item.length == 0) {

                    $(".nodeItem h2").hide();

                    $("h2").css("display", "none"); //隐藏当前层
                    $(this).siblings("h2").css("display", "block");
                    //$(this).siblings(".DispalClick").css("display", "block"); //显示当前层
                    $("h2").removeAttr("onclick"); //解除所有绑定

                    $(".nodequestion").hide();

                    $(".Item").hide();
                    $(this).show();
                    $(this).find(".Item").show();
                    $(".opt").show();
                    return false;
                }
            }
        });
        $("#sample").find(".Item").show();
    }
    else if ($(t).val() == "整份试卷展示") {

        $("#sample").find(".Item").show();
        $(t).val("一题一题展示");
        $(".nodeItem h2").show();
        $("h2").attr("onclick", "DisplayToggle(this)");
        $("h2").css("display", "block");
        $(".Item").show();
        $(".opt").hide();
    }
    else {
        $("#sample").find(".Item").show();
        if ($(t).attr("alter") == "一题一题展示") {

            $(t).val("一题一题展示");
            $("h2").attr("onclick", "DisplayToggle(this)");
            $("h2").css("display", "block");
            $(".nodeItem h2").show();
            $(".Item").show();
            $("div[name='composeSubitem']").show();
            $(".opt").hide();
        }
        else {
            $(t).val("整份试卷展示");
            $(".Item").each(function () {
                if ($(this).parent().attr("class") == "nodeItem") {
                    var item = $(this).find('input:checked');
                    if (item.length == 0) {
                        $(".nodeItem h2").hide();

                        $("h2").css("display", "none"); //隐藏当前层
                        $(this).siblings("h2").css("display", "block");
                        $(this).siblings("h2").css("display", "block"); //显示当前层
                        $("h2").removeAttr("onclick"); //解除绑定

                        $(".nodequestion").hide();
                        $(".Item").hide();
                        $(this).show();
                        $(this).find(".Item").show();
                        $(this).find("div[name='composeSubitem']").show();
                        $(".opt").show();
                        return false;
                    }
                }
            });
        }

    }
}
function cxdt() {
    clock();
    if ($("#one").val() == "解除试题过滤") {

        $("#one").val($("#one").attr("alter"));
    }
    //限制时间
    $("#jslx").css("display", "block");
    $("#sum").removeAttr("disabled")
    overflag = false;
    $(".RightCon01").scrollTop(0);
    $("input").removeAttr("checked");
    $("input[name='mark']").each(function () {
        $(this).val("标记");
    });
    $(".collect").each(function () {
        $(this).html("收藏");
    });
    $("textarea").each(function () {//text清空
        $(this).val("");
    });
    $(".opt").hide();

    $(".mark").removeClass("mark");



    $(".showAns").each(function () {
        $(this).val("查看答案");
    });

    //隐藏答案，这里主要处理一个组合题的特殊情况

    $(".ItemBot").each(function () {
        //alert($(this).children().find("div[name='composeSubitem']").length);
        if ($(this).children().find(".subanswer").length > 0) {

        }
        else
            $(this).find(".answer").hide();
    })
    //组合题隐藏答案
    $(".subanswer").each(function () {
        $(this).hide();

    });
    $("#showall").val("查看全部答案");


}
//开灯关灯
function Deng(t) {
    if ($("#deng").attr("src") == "../NewHtml/imagesX/deng_bg.gif") {

        $(document.body).css("background", "#ccc");
        $(t).attr("src", "../NewHtml/imagesX/closedeng_bg.gif")
    }
    else {
        $(document.body).css("background", "#ffffff");
        $(t).attr("src", "../NewHtml/imagesX/deng_bg.gif")
    }
}

function single(o) {
    var id = $(o).attr("href").substring(1);
    if ($("#one").val() == "整份试卷展示") {
        $(".Item").hide(); //隐藏全部题
        $("a[name='" + id + "']").parents(".Item").show(); //显示当前题
        $("h2").css("display", "none"); //所有都隐藏
        $("a[name='" + id + "']").parents(".Item").siblings("h2").show(); //显示当前题
    }
    else {  //定位  整个文档流定位 不隐藏
        //$("a[name='" + id + "']").parents(".Item").show(); //定位到当前列
        //alert($("a[name='" + id + "']").parents(".Item").attr("id"));
        //在否则里面加了描点
    }

}
//关闭成绩统计蒙层
function CloseStaticresult() {
    //调用我的蒙层的hide方法
    document.getElementById("static").style.display = "none";
}
//吧秒转换为时分秒
function time_To_hhmmss(seconds) {
    var hh;
    var mm;
    var ss;
    //传入的时间为空或小于0
    if (seconds == null || seconds < 0) {
        return;
    }
    //得到小时
    hh = seconds / 3600 | 0;
    seconds = parseInt(seconds) - hh * 3600;
    if (parseInt(hh) < 10) {
        hh = "0" + hh;
    }
    //得到分
    mm = seconds / 60 | 0;
    //得到秒
    ss = parseInt(seconds) - mm * 60;
    if (parseInt(mm) < 10) {
        mm = "0" + mm;
    }
    if (ss < 10) {
        ss = "0" + ss;
    }
    return hh + ":" + mm + ":" + ss;
}
//成绩统计
function static() {
    //错题记录
    var WrongLog = "";
    //计算做题用时
    var timesss = "";
    //做题用时单位为秒
    var AnswerTimes = 0;
   
    var form = $("<form></form>");
    var table = $("div#static").find("table:first");
    table.empty(); //清空统计数据
    table.append("<tr bgcolor='#ffffff'><td colspan='7' height='50' style='font-size:14px; font-weight:bold;'>本次练习测试结果 <br /><span style='font-size:12px; font-weight:normal;'>(用时:" + timesss + ")</span></td></tr>");
    table.append("<tr style='background:url(/Content/practice/ctcztab_trbg.gif) repeat-x;'><td height='34' width='100'>题型</td><td width='100'>总题数</td><td width='100'>答对</td><td width='200'>答错</td><td width='100'>未答</td><td width='100'>正确率</td><td width='100'>分数</td></tr>");

    var allCount = $(".Item").length - 1; //总题数
    var rightCount = 0;
    var wrongCount = 0;
    var unanserCount = 0;
    var index = 0;
    var jsonResult = {};
    var GradeScore = 0;
    jsonResult.PaperID = $("input[id='PaperID']").val();
    var rows = [];
    $(".nodeItem").each(function () {
        var tr = $("<tr bgcolor='#ffffff;'></tr>");
        var right = 0;
        var wrong = 0;
        var unanser = 0;
        var sublen = 0;
        var len = 0;
        var score = 0;
        if ($(this).children().find(".composeSubitem").length > 0) {
            sublen = $(this).children().find(".composeSubitem").length;
        }
        else {
            len = $(this).children(".Item").length;
        }

        var row = {};
        //试卷里面包括组合体,则按照组合体的子试题来统计
        if (sublen > 0) {
            $(this).children().find(".composeSubitem").each(function () {
                var QuestionID = $(this).children(".question").attr("id");
                var QuestionScore = $(this).children().find(".txtScore").html();

                form.append("<input type='hidden' name='[" + index + "].QuestionID' value='" + QuestionID + "'/>");
                form.append("<input type='hidden' name='[" + index + "].Score' value='" + QuestionScore + "'/>");

                var anser = "";
                //--答案判断
                var AnsState = 2;
                $(this).find("input:checked").each(function () {
                    if ($(this).val() != undefined) {
                        anser += $(this).val() + '|';
                    }
                });
                if (anser != undefined && anser != "") {
                    //异步获取试题答案
                    anser = anser.substr(0, anser.length - 1);
                    var Daan = $(this).children().find(".anser").html();

                    if ($.trim(Daan) == $.trim(anser)) {

                        AnsState = 1;
                        right++;
                        rightCount++;
                        score += parseFloat(QuestionScore);
                        GradeScore += parseFloat(QuestionScore);

                    }
                    else {
                        WrongLog += "|" + QuestionID;
                        AnsState = 0;
                        wrong++;
                        wrongCount++;

                    }


                }
                else {
                    AnsState = 2;
                    unanser++;
                    unanserCount++;

                }

                form.append("<input type='hidden' name='[" + index + "].AnsState' value='" + AnsState + "'/>"); //**
                //--------------

                index++;

            })
        }
        else {
            //计算本题型的做题情况开始
            $(this).children(".Item").each(function () {

                var QuestionID = $(this).children(".question").attr("id");
                var QuestionScore = $(this).children().find(".txtScore").html();

                form.append("<input type='hidden' name='[" + index + "].QuestionID' value='" + QuestionID + "'/>");
                form.append("<input type='hidden' name='[" + index + "].Score' value='" + QuestionScore + "'/>");
                var anser = "";
                //--答案判断
                var AnsState = 2;
                $(this).find("input:checked").each(function () {
                    if ($(this).val() != undefined) {
                        anser += $(this).val() + '|';
                    }
                });
                if (anser != undefined && anser != "") {
                    anser = anser.substr(0, anser.length - 1);

                    var Daan = $(this).children().find(".anser").html();

                    if ($.trim(Daan) == $.trim(anser)) {


                        AnsState = 1;
                        right++;
                        rightCount++;
                        score += parseFloat(QuestionScore);
                        GradeScore += parseFloat(QuestionScore);


                    }
                    else {
                        AnsState = 0;
                        WrongLog += "|" + QuestionID;
                        wrong++;
                        wrongCount++;

                    }
                }
                else {
                    AnsState = 2;
                    unanser++;
                    unanserCount++;

                }
                form.append("<input type='hidden' name='[" + index + "].AnsState' value='" + AnsState + "'/>"); //**

                index++;
            });
        }

        //计算本题型的做题情况结束
        //添加到弹出统计对话框
        var math;
        if (sublen > 0) {
            if (unanser == sublen) {
                math = 0;
            }
            else {
                math = Math.round(right / (sublen - unanser) * 100);

            }
            len = sublen;
        }
        else {
            if (len == 0) {
                math = 0;
            }
            else {
                math = Math.round(right / len * 100);
            }
        }
        var msg = $.trim($(this).find("input[name='code']").val());

        //if (msg == "single" || msg == "multi" || msg == "judge" || msg == "judge_correct" || msg == "compose" || msg == "Nolimit") {

            tr.append("<td height='34'>" + $(this).find("h2").html() + "</td><td>" + len + "</td><td>" + right + "</td><td>" + wrong + "</td><td>" + unanser + "</td><td>" + math + "%</td><td>" + score + "</td>");
        //}
        //添加到弹出统计对话框
        row.Type = $(this).find("h2").html();
        row.Length = len;
        row.Right = right;
        row.Wrong = wrong;
        row.Unanser = unanser;

        row.Score = score;
        rows.push(row);
        $("div#static").find("table:first").append(tr);
    });
    jsonResult.Rows = rows;
    $("#allCount").html("本章总共" + allCount + "题");
    $("#rightCount").html("我对了" + rightCount + "题");
    $("#wrongCount").html("我错了" + wrongCount + "题");
    $("#unanserCount").html("我未做" + unanserCount + "题");
    $("#jsonResult").val($("div#static").find(".exam_xiq_Con").html());

    if (wrongCount == 0)//如果 一题都没有做，的情况下不显示出“错题重做”按钮
        $("#CTCZ").css("display", "none");

    //错题重做记录
    $("#WrongLog").val(WrongLog.substring(1));
    //错题重做做错的试题数量
    $("#WrongQuestionCount").val(wrongCount);
    //试卷分数
    $("#GradeScore").val(GradeScore);
    //答题速度
    var timesresult = AnswerTimes / parseInt($("#QuestionCount").val());
    if (timesresult.length > 3) {
        $("#AnswerTimes").val(timesresult.substring(0, 4));
    }
    else

        $("#AnswerTimes").val(timesresult);
    clearInterval(stopCountDown);
    //    $(".answer").each(function () {
    //        $(this).hide();
    //    });
    return form.serialize();
}


//左侧列表切换
function Chike(itemID, TitleID) {


    if ($("#" + itemID).css("display") == "none") {//当前打开
        $("#" + itemID).css("display", "block");

    }
    else {
        $("#" + itemID).css("display", "none"); //关闭当前
    }


    var currentClassName = $(TitleID).attr("class");
    $(TitleID).removeClass();
    if (currentClassName == "ulHid") {
        $(TitleID).addClass("ulShow");  // 追加样式 

    }
    else {
        $(TitleID).addClass("ulHid");
    }

    //设置当前Left最高高度
    var Heid = $(window).height(); //当前显示器高度
    if ($(".inner").height() >= (Heid - 200)) {//滚动
        $(".zj_nav").css("height", (Heid - 200) + "px");

    }
    else {
        $(".zj_nav").css("height", "auto");
    }
    //    $("#" + TitleID).toggleClass("left_top_hover");

}
$(function () {
    $(".left_top").click(function () {
        $(this).toggleClass("left_top_hover");
    })
})

function LogChike(Item) {//最开始添加减号
    $(Item).find(".left_top").toggleClass("left_top_hover");
}



//默认显示左侧层
function LeftShows(itemId) {
    //获取当前展开的ID
    var Current = $("#HidCler").val();
    //获取当前的高
    var henght = $("#" + Current).css("height");

    //显示当前层
    $("#left_topk" + itemId).css("display", "block");
    //设置当前行的高
    $("#left_topk" + itemId).css("height", henght);


}
function DisplayToggle(t) {

    var p_nex = $(t).nextAll();
    if (p_nex.css("display") == "block" || p_nex.css("display") == "") {
        p_nex.css("display", "none");
        $(t).addClass("Hid");
    }
    else {
        p_nex.css("display", "block");
        $(t).removeClass("Hid");
        $("div[name='composeSubitem']").show();
    }
    $(t).toggleClass("Hid");

}
function Showclosed5()                        //隐藏两个层   结束练习测试结果关闭按钮
{
    document.getElementById("displayVideo").style.display = "none";
    document.getElementById("contentss").innerHTML = "";
}
function Dic_LeftSHOW() {
    var leftint = parseInt($(".left").css("left"));
    if (leftint >= 0) {
        $(".left").css("left", "-410px");
        $(".btnCler_a").show();
    }
    else {
        $(".left").css("left", "0px");
        $(".btnCler_a").hide();
    }
}
function Dic_LeftHide() {

    $(".left").css("left", "0px");
    $("#LeftShow").attr("onclick", "Dic_LeftSHOW()");
}
//试题反馈
//function ShowNof() {
//    document.getElementById("feedback").style.display = "none";
//    document.getElementById("doing").style.display = "none";
//    document.getElementById("AboutSoft").style.display = "none";
//    document.getElementById("buy").style.display = "none";
//}
function ShowNof() {
    document.getElementById("feedback").style.display = "none";
    document.getElementById("doing").style.display = "none";
    $("#txtContentTxt").val("请在此输入您要反馈的内容，比如：答案错误、解析不妥等等，我们将尽快处理，谢谢您的支持！");
    $("#txtContentTxt").css("color", "#DBDBDB"); //灰
}
function Clert() {//失去焦点
    var Content = $("#txtContentTxt").val();
    var item = $("#txtContentDidFb").val();
    if (Content == null || Content == "") {
        $("#txtContentTxt").val(item);
        $("#txtContentTxt").css("color", "#DBDBDB"); //灰
    }
}
function Focer() {//获取焦点
    var item = $("#txtContentDidFb").val();
    var Content = $("#txtContentTxt").val();
    if (Content == item) {
        $("#txtContentTxt").val("");
        $("#txtContentTxt").css("color", "#000000"); //黑
    }
}


function CLosestfk() {
    document.getElementById("doing").style.display = "none";
    document.getElementById("feedss").style.display = "none";
}

function ToggleHeard() {//头部打开关闭

    var header = $("#header").css("display"); //在改变之前就获取

    if (header == "block") {
        $(".right").css("border-top", "3px solid #007371"); //自动
        //图片
        $("#header_Cler").attr("class", "header_Cler2");
        var matop = parseInt($("#header").css("margin-top"));
        if (matop > -102) {

            var tag = 10;

            Heigth = $(".right_xia").css("height");
            Heigth = parseInt(Heigth) + 102;
            $(".right_xia").css("height", Heigth + "px");

            //内框
            Heigth = $(".RightCon01").css("height"); //内框
            Heigth = parseInt(Heigth) + 102;
            $(".RightCon01").css("height", Heigth + "px");

            //            Heigth = $(".zj_nav").css("height"); //内框

            //            Heigth = parseInt(Heigth) + 102;

            //            $(".zj_nav").css("height", Heigth + "px");

            $("#header").css("margin-top", -102 + "px");
        }
        $("#header").hide();

    }
    else {
        $(".right").css("border-top", "1px solid #007371"); //自动
        $("#header").show();
        var matop = parseInt($("#header").css("margin-top"));
        var tag = 10;

        if (matop < 0) {

            Heigth = $(".right_xia").css("height");
            Heigth = parseInt(Heigth) - 102;
            $(".right_xia").css("height", Heigth + "px");

            //内框
            Heigth = $(".RightCon01").css("height"); //内框
            Heigth = parseInt(Heigth) - 102;
            $(".RightCon01").css("height", Heigth + "px");

            //            Heigth = $(".zj_nav").css("height"); //内框
            //            Heigth = parseInt(Heigth) - 102;
            //            $(".zj_nav").css("height", Heigth + "px");


            $("#header").css("margin-top", (matop + 102) + "px");
        }
        $("#header_Cler").attr("class", "header_Cler");

    }
}
//反向
function LogReverse() {

    $("#header").css("display", "block");
    $("#header").css("margin-top", "0px");
    //    $(".main").css("height", "636px"); //还原
    //    $(".right").css("height", "750px"); //还原 
    //    $(".right_xia").css("height", "730px"); //还原
    //    $(".RightCon01").css("height", "540px"); //还原
    var height = $(window).height() - 134;
    $("body").css("height", "auto"); //自动
    $(".main").css("height", height + "px"); //自动
    $(".RightCon01").css("height", "540px"); //还原
    $(".Index").css("height", (height) + "px");

    //题库目录
    var title = $(".Main_top").css("height");
    if (parseInt(title) > 70) {
        var Heith = $(".Main_bottom").css("height");
        //题库标题

        title = parseInt(title) - 65;
        Heith = parseInt(Heith) - parseInt(title);
        $(".Main_bottom").css("height", Heith + "px");
    }

    var height = $(window).height() - 132;
    //$(".main").css("height", "auto"); //自动
    $(".Index").css("height", height + "px"); //自动

    $(".Main_bottom").css("margin", "0px 30px");
    $(".Main_bottom").css("height", (height - 100) + "px");

}
var fill; //全局
function LogHeard() {//第一次Log
    $("#header").css("display", "none");
    $("#header").css("margin-top", "-102px");


    var header = $("#header").css("display"); //在改变之前就获取
    $("body").css("height", "auto"); //自动
    $(".main").css("height", "auto"); //自动
    $(".right").css("height", "auto"); //自动
    $(".right").css("border-top", "3px solid #007371"); //自动
    $(".Index").css("height", "auto");

    //内框
    var Heigth = $(window).height() - 80;

    $(".right_xia").css("height", Heigth + "px");
    $(".RightCon01").css("height", Heigth + "px"); //自动


    //设置当前Left最高高度
    var Heid = $(window).height(); //当前显示器高度
    if ($(".inner").height() >= (Heid - 200)) {//滚动
        $(".zj_nav").css("height", (Heid - 200) + "px");

    }
    else {
        $(".zj_nav").css("height", "auto");
    }

    //图片
    $("#header_Cler").attr("class", "header_Cler2");
    $(".right").css("border-top", "3px solid #007371"); //自动

}
function RomoveTimeint()//清除函数
{
    $("#header").show(); //显示头
}
//题库购买
function ShowBank() {
    document.getElementById("bank").style.display = "block";
}
function closeBank() {
    document.getElementById("bank").style.display = "none";
}
function AliveCode(t) {
    var reg = $("#regcode").val();
    if (parseInt(reg.length) != 9) {
        alert("密码输入错误，请重新输入！");
        return false;
    }
    if (reg == "") {
        alert("密码不能为空！");
        return false;
    }
    else {
        $(t).attr("href", "a?type=Alive&reg=" + reg + "");
    }
}
function NoLineAlive(t) {
    var machcode = $("#machcode").val();
    var act = $("#actCode").val();
    if (act.length != 17) {
        alert("激活码不能为空！");
        return false;
    }
    else {

        $(t).attr("href", "a?type=NoLineAlive&act=" + act + "&machcode=" + machcode + "");
    }
}
//错题重做以及成绩统计分页函数
var obj, j;
var page = 0;
var nowPage = 0; //当前页
var listNum = 8; //每页显示个数
var PagesLen; //总页数
var PageNum = 4; //分页链接接数(5个)
function InitialPage() {
    obj = document.getElementById("tk").getElementsByTagName("tr");
    j = obj.length;

    PagesLen = Math.ceil(j / listNum);
    upPage(0);
}

function upPage(p) {
    nowPage = p;

    //第一步：隐藏table所有的tr
    $("#tk tr").css("display", "none");
    //第二步：显示暂时的条数
    for (var i = p * listNum; i < (p + 1) * listNum; i++) {
        if ($("#tk tr:eq(" + i + ")").length > 0) {
            //obj[i].style.display = "block";
            $("#tk tr:eq(" + i + ")").show();
        }
    }
    //分页链接变换
    strS = "<a href=\"###\" onclick=\"upPage(0)\">首页</a>";
    var PageNum_2 = PageNum % 2 == 0 ? Math.ceil(PageNum / 2) + 1 : Math.ceil(PageNum / 2);
    var PageNum_3 = PageNum % 2 == 0 ? Math.ceil(PageNum / 2) : Math.ceil(PageNum / 2) + 1;
    var strC = "", startPage, endPage;
    if (PageNum >= PagesLen) {
        startPage = 0;
        endPage = PagesLen - 1;
    }
    else if (nowPage < PageNum_2) {
        startPage = 0;
        endPage = PagesLen - 1 > PageNum ? PageNum : PagesLen - 1;
    } //首页
    else {
        startPage = nowPage + PageNum_3 >= PagesLen ? PagesLen - PageNum - 1 : nowPage - PageNum_2 + 1;
        var t = startPage + PageNum; endPage = t > PagesLen ? PagesLen - 1 : t;
    }
    for (var i = startPage; i <= endPage; i++) {
        if (i == nowPage)
            strC += '<a href="###" style="color:red;font-weight:700;" onclick="upPage(' + i + ')">' + (i + 1) + '</a> ';
        else
            strC += '<a href="###" onclick="upPage(' + i + ')">' + (i + 1) + '</a> ';
    }
    strE = ' <a href="###" onclick="upPage(' + (PagesLen - 1) + ')">尾页</a>  ';
    strE2 = nowPage + 1 + "/" + PagesLen + "页" + "  共" + j + "条";
    document.getElementById("changpage").innerHTML = strS + strC + strE + strE2;
}
//参考资料
//使用帮助

function HelpOver() {

    $("#resource").mouseover(function () {
        $(this).show();
    }).mouseleave(function () {
        $(this).hide();
    }).show();
}
function HelpOut() {
    $("#resource").hide();
}
function ckzlOver() {
    $("#WebSiteMessage").mouseover(function () {
        $(this).show();
    }).mouseleave(function () {
        $(this).hide();
    }).show();

}
function ckzlOut() {
    $("#WebSiteMessage").hide();
}
//我的收藏
function CloseWindow() {

    document.getElementById("show").style.display = "none";
}
//打开我的收藏
function openall(item) {

    if (item == 0) {
        alert("您没有收藏试题！");
        return false;
    }
    else {
        if (parseInt($("#RecordCount").val()) < 100) {
            window.location.href = "a?type=wdsc&op=openall&start=0";
            return true;
        }
        else {
            $("#show").css("display", "");
            return false;
        }
    }
}
//打开搜索试题
function openAllQuestions(keywords) {

    if (parseInt($("#RecordCount").val()) < 100) {
        window.location.href = "a?type=ssst&op=openall&start=0&strkey=" + keywords + "";
        return true;
    }
    {
        $("#show").css("display", "");
        return false;
    }
}
//试题反馈
function OpenFeedBack(t) {
    //调用蒙层
    var range = getRange();
    $("#doing").css({ width: range.width, height: range.height, display: "block" });
    //试题内容
    document.getElementById("QuestionContent").value = $(t).siblings(".questioncontetn").html();
    //编号
    $(".fan_righthao").html($(t).parent().siblings(".qnumber").html());
    //反馈内容
    document.getElementById("FedContent").value = $(t).parent().siblings(".backcontent").html();
    document.getElementById("feedss").style.display = "block";
}
//关闭页面设置
function closeSHE() {
    $("#Settings").hide();
}
//查看成绩统计结果
function CheckGradeDetails(t) {

    $("#GradeStatic").show();
    $("#GradeDetailShow").html($(t).parent().find(".GradeDetails").html());

    //关闭里面层
    $("#FontColorSer").hide();
    $("#BackgColorSer").hide();

}
//考试提醒
function ExamAlarm() {


    var range = getRange();
    $("#doing").css({ width: range.width, height: range.height, display: "block" });
    $("#AlterTime").html(document.getElementById("LeaveDay").value);

    document.getElementById("ExamRemind").style.display = "";



}
//关闭考试提醒
function CloseExamAlart() {

    document.getElementById("ExamRemind").style.display = "none";
    $("#doing").hide();
}
//删除全部我的收藏
function DeletewdscAll() {
    window.location.href = "a?type=wdsc&op=deleteall";
}
//字体颜色
function FontColor() {

    $("#biaokuan").val("");
    $(".FontColor").css("border", "1px solid #cccccc");
    $("#FontColorSer").toggle(); //显示与隐藏
}
function ClickFontColor(t) {

    var FColor = $("#biaokuan").val();
    if (FColor != null && FColor != "")
        $("#" + $("#biaokuan").val()).css("border", "");
    // $("#biaokuan").val($(this).attr("id")); //当前值给控件
    $(this).css("border", "2px solid #007371");
    var yanse = $(t).css("background-color");

    $(".config").css("color", yanse);
    $("#xuanze").css("background", yanse);
    $("#xuanze").css("boder", "0");
    $("input[name='FontColor']").val(yanse);
    //$("#FontColor").val(yanse);
}
function closeFonrColor() {

    $("#FontColorSer").css("display", "none");
}
//背景颜色
function BackgColor() {

    $("#biaokuan").val("");
    $(".BackgColor").css("border", "1px solid #cccccc");
    $("#BackgColorSer").toggle(); //显示与隐藏 
}
function SelectBackColor(t) {

    var FColor = $("#biaokuan").val();
    if (FColor != null && FColor != "")
        $("#" + $("#biaokuan").val()).css("border", "");

    $(this).css("border", "2px solid #007371");
    var beijingys = $(t).css("background-color");
    $("div[name='beijing']").css("background", beijingys);
    $("#yan").css("background", beijingys);
    $("input[name='BgColor']").val(beijingys);
    $(".config").css("background", beijingys);
    // $("#bgColor").val(beijingys);
}

function CloseBackColor() {
    $("#BackgColorSer").css("display", "none");
}
//字体
function god() {
    $("#sample").children().find(".config").css("font-family", $("select[name='Family']").val());
    $("#FontFamily").val($("select[name='Family']").val());
}
//字体大小
function zhitidaxiao() {
    $("#sample").children().find(".config").css("font-size", document.getElementById("zhiti").value + "px");

}
//行间距
function changeline() {
    var height = $("input[name='LineSpacing']").val() + "%";
    $("#sample").children().find(".config table,dd,dt").css({ "line-height": height });
}
function ziliao_onclick() {
    document.getElementById("ziliao").style.display = "";
}
function save() {
    //字体
    $(".config").css("font-family", $("select[name='Family']").val());
    //字体大小
    $(".config").css("font-size", document.getElementById("zhiti").value + "px");
    $(".config").css("background", $("#BgColor").val());
    $(".config").css("color", $("#FontColor").val());
    //行间距
    var height = $("input[name='LineSpacing']").val() + "%";
    $(".config table tr td ,dd,dt").css({ "line-height": height });
    $("#Settings").hide();

    //关闭里面层
    $("#FontColorSer").hide();
    $("#BackgColorSer").hide();
}
//回复默认值
function TurnOld() {

    //字体
    $(".config").css("font-family", $("#DefaultFontFamily").val());
    //字体大小
    $(".config").css("font-size", $("#DefaultFontSize").val() + "px");
    //行间距
    var height = $("#DefaultLineWidth").val() + "%";
    $(".config table tr td ,dd,dt").css({ "line-height": height });
    $(".config").css("background", $("#DefaultBackColor").val());
    $(".config").css("color", $("#DefaultFontColor").val());
    $("#Settings").hide();

    $("#FontColorSer").hide();
    $("#BackgColorSer").hide();

}
//用户设置的自己的页面个性
function PageSetting() {
    //字体
    $(".config").css("font-family", $("#FontFamily").val());
    //字体大小
    $(".config").css("font-size", $("#zhiti").val() + "px");
    //行间距
    var height = $("#LineSpacing").val() + "%";
    $(".config table tr td ,dd,dt").css({ "line-height": height });
    $(".config").css("background", $("#BgColor").val());
    $(".config").css("color", $("#FontColor").val());
}

//成绩统计权限控制
function CheckGradeAuthrotiy() {
    //都没有权限
    if ($("#CheckGradeAhthrotiy").val() == "0") {
        alert("没有权限查看成绩统计");
        return false;
    }
    //付费会员有权限
    else if ($("#CheckGradeAhthrotiy").val() == "1") {
        //付费
        if ($("#IsBuy").val() == "1") {
            return true;
        }
        //没有付费
        else {
            alert("没有购买该题库无法使用该功能，请购买该题库！！");
            return false;
        }
    }
    else if ($("#CheckGradeAhthrotiy").val() == "2") {
        return true;
    }
    else {
        //没有付费
        if ($("#IsBuy").val() == "0") {
            alert("你没有该权限！");
            return false;
        }
        //付费
        else {
            return true;
        }
    }
}
//错题重做权限
function WrongBegin() {
    //都没有权限
    if ($("#WrongBegin").val() == "0") {
        alert("没有权限查看错题重做");
        return false;
    }
    //付费会员有权限
    else if ($("#WrongBegin").val() == "1") {
        //付费
        if ($("#IsBuy").val() == "1") {
            return true;
        }
        //没有付费
        else {
            alert("没有购买该题库无法使用该功能，请购买该题库！！");
            return false;
        }
    }
    else if ($("#WrongBegin").val() == "2") {
        return true;
    }
    else {
        //没有付费
        if ($("#IsBuy").val() == "0") {
            alert("你没有该权限！！");
            return false;
        }
        //付费
        else {

            return true;
        }
    }
}
function BottomNohtml() {//隐藏底部
    $(".footer").hide(); //隐藏
}
function BottonYesHtml() {
    $(".footer").show();
}
function PulicCloer(Item, tag) {//公共关闭层  tag 为1时为ID选择器，为0时为Class选择器
    $("#doing").hide();
    if (tag == 0) {
        $("." + Item).hide();
    }
    else {
        $("#" + Item).hide();
    }
    return true;
}
function PulicShow(Item, tag) {
    if (tag == 0) {
        $("." + Item).show();
    }
    else {
        $("#" + Item).show();
    }
}
function Climct() {//关闭题库已激活层
    PulicShow('ActivationTrue', 1);
}

function ShowLoading() {
    $("#loading").show();
    $("#main").hide();
    new shieldDiv().show();
}
function HideLoading() {
    $("#loading").hide();
    $("#main").show();
    new shieldDiv().hide();
}
function QQCallShow() {
    window.open("http://b.qq.com/webc.htm?new=0&sid=4006123191&eid=218808P8z8p8Q8p8x8q8y&o=www.100xuexi.com&q=7&ref=", "_blank");
}
//打开全真考场

function OpenQzck() {
    //调用蒙层
    var range = getRange();
    $("#doing").css({ width: range.width, height: range.height, display: "block" });
    $("#qzck").show();
}
function CloseQZck() {
    document.getElementById("qzck").style.display = "none";
    document.getElementById("doing").style.display = "none";

}
//计算器
function drag(o) {
    o.onmousedown = function (a) {
        var d = document; if (!a) a = window.event;
        var x = a.layerX ? a.layerX : a.offsetX;
        var y = a.layerY ? a.layerY : a.offsetY;

        d.onmousemove = function (a) {

            if (!a) a = window.event;
            if (!a.pageX) a.pageX = a.clientX;
            if (!a.pageY) a.pageY = a.clientY;

            var tx = a.pageX - x, ty = a.pageY - y;
            var winhei = document.body.clientHeight; //显示器的高度

            $(o).parent().css("top", -(winhei - ty - 25) + "px");
            $(o).parent().css("left", (tx - 100) + "px");

        };

        d.onmouseup = function () {
            if (o.releaseCapture) {
                o.releaseCapture();
            } else if (window.captureEvents) {
                window.captureEvents(Event.MOUSEMOVE | Event.MOUSEUP);
            }
            d.onmousemove = null;
            d.onmouseup = null;
        };
    };
}
//卷面
function DragPubic(o) {
    o.onmousedown = function (a) {
        var d = document; if (!a) a = window.event;
        var x = a.layerX ? a.layerX : a.offsetX;
        var y = a.layerY ? a.layerY : a.offsetY;

        d.onmousemove = function (a) {

            if (!a) a = window.event;
            if (!a.pageX) a.pageX = a.clientX;
            if (!a.pageY) a.pageY = a.clientY;

            var tx = a.pageX - x, ty = a.pageY - y;
            var winhei = document.body.clientHeight; //显示器的高度
            if ((tx) < 480 && (ty) < 407) {
                $(o).parent().css("top", (ty + 135) + "px"); // 
                $(o).parent().css("left", (tx + 200) + "px"); // 
            }
        };

        d.onmouseup = function () {
            if (o.releaseCapture) {
                o.releaseCapture();
            } else if (window.captureEvents) {
                window.captureEvents(Event.MOUSEMOVE | Event.MOUSEUP);
            }
            d.onmousemove = null;
            d.onmouseup = null;
        };
    };
}

