﻿/// <reference path="../../Scripts/jquery-1.5.1-vsdoc.js" />
// by NXL  2012/12/2
(function ($) {
    // 将数字转换成时间格式，如： 09:30:45
    function numToDate(hour, minute, second) {
        var tohour = hour < 10 ? ("0" + hour) : hour;
        var tominute = minute < 10 ? ("0" + minute) : minute;
        var tosecond = second < 10 ? ("0" + second) : second;
        return tohour + ":" + tominute + ":" + tosecond;
    }
    jQuery.fn.countUp = function () {
        var obj = $(this);
        var remainingTime = 0;
        //         clearInterval(stopCountDown);
        // 需要将其句柄赋予一个变量，方便清除该事件
        stopCountDown = setInterval(countUp, 1000);
        function countUp() {
            // 如果倒计时大于0，则继续倒计时
            hour = Math.floor(remainingTime / 3600);
            minute = Math.floor(Math.floor(remainingTime % 3600) / 60);
            second = Math.floor(remainingTime % 60);
            var formatTime = numToDate(hour, minute, second);
            obj.html(formatTime);
            remainingTime++;

            /* 这里可用Ajax提交到服务器的 */
        }
        return stopCountDown;
    }
    jQuery.fn.clock = function (time) {
        // 将传进来的long型转换成秒
        var remainingTime = time / 1000;
        var hour = 0;
        var minute = 0;
        var second = 0;
        var obj = $(this);
        if (remainingTime > 0) {
            // 如果倒计时大于0，则继续倒计时
            hour = Math.floor(remainingTime / 3600);
            minute = Math.floor(Math.floor(remainingTime % 3600) / 60);
            second = Math.floor(remainingTime % 60);
            var formatTime = numToDate(hour, minute, second);
            obj.html(formatTime);
        }


        // 需要将其句柄赋予一个变量，方便清除该事件
        var stopCountDown = setInterval(countDown, 1000);
        function countDown() {
            if (remainingTime > 0) {
                // 如果倒计时大于0，则继续倒计时
                hour = Math.floor(remainingTime / 3600);
                minute = Math.floor(Math.floor(remainingTime % 3600) / 60);
                second = Math.floor(remainingTime % 60);
                var formatTime = numToDate(hour, minute, second);
                obj.html(formatTime);
                remainingTime--;
                /* 这里可用Ajax提交到服务器的 */
            } else {
                // 若倒计时为0，则清除事件
                clearInterval(stopCountDown);
                //resultOver();
                /* 这里可用Ajax提交到服务器的 */
            }
        }
        return stopCountDown;
    }
})(jQuery)

